libcdr::CommonParser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
libcdr::CommonParser Class Reference

`#include <CommonParser.h>`

Inheritance diagram for libcdr::CommonParser:

## Public Member Functions
| CommonParser (CDRCollector *collector)
virtual | ~CommonParser ()

## Protected Member Functions
double | readCoordinate (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned | readUnsigned (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned short | readUnsignedShort (librevenge::RVNGInputStream *input, bool bigEndian=false)
int | readInteger (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | readAngle (librevenge::RVNGInputStream *input, bool bigEndian=false)
void | readRImage (unsigned &colorModel, unsigned &width, unsigned &height, unsigned &bpp, std::vector< unsigned > &palette, std::vector< unsigned char > &bitmap, librevenge::RVNGInputStream *input, bool bigEndian=false)
void | readBmpPattern (unsigned &width, unsigned &height, std::vector< unsigned char > &pattern, unsigned length, librevenge::RVNGInputStream *input, bool bigEndian=false)
void | processPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types, CDRPath &path)
void | outputPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types)

## Protected Attributes
CDRCollector * | m_collector
CoordinatePrecision | m_precision

## Private Member Functions
| CommonParser ()
| CommonParser (const CommonParser &)
CommonParser & | operator= (const CommonParser &)

## Constructor & Destructor Documentation

## ◆ CommonParser() [1/3]

libcdr::CommonParser::CommonParser | ( | libcdr::CDRCollector * | collector | ) |

## ◆ ~CommonParser()

libcdr::CommonParser::~CommonParser | ( |  | ) |
| virtual

## ◆ CommonParser() [2/3]

libcdr::CommonParser::CommonParser | ( |  | ) |
| private

## ◆ CommonParser() [3/3]

libcdr::CommonParser::CommonParser | ( | const CommonParser & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

CommonParser& libcdr::CommonParser::operator= | ( | const CommonParser & |  | ) |
| private

## ◆ outputPath()

void libcdr::CommonParser::outputPath | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned char > & | types
| ) |  |
| protected

Referenced by libcdr::CDRParser::readBitmap(), libcdr::CDRParser::readLineAndCurve(), libcdr::CDRParser::readPath(), libcdr::CMXParser::readPolyCurve(), and libcdr::CDRParser::readPolygonCoords().

## ◆ processPath()

void libcdr::CommonParser::processPath | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned char > & | types,
|  | CDRPath & | path
| ) |  |
| protected

Referenced by outputPath(), and libcdr::CDRParser::readArrw().

## ◆ readAngle()

double libcdr::CommonParser::readAngle | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

Referenced by libcdr::CDRParser::readEllipse(), libcdr::CMXParser::readEllipse(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), libcdr::CDRParser::readOutl(), libcdr::CMXParser::readRectangle(), libcdr::CMXParser::readRpen(), libcdr::CDRParser::readWaldoFill(), and libcdr::CDRParser::readWaldoOutl().

## ◆ readBmpPattern()

void libcdr::CommonParser::readBmpPattern | ( | unsigned & | width,
|  | unsigned & | height,
|  | std::vector< unsigned char > & | pattern,
|  | unsigned | length,
|  | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

Referenced by libcdr::CDRParser::readBmpf(), and libcdr::CMXParser::readData().

## ◆ readCoordinate()

double libcdr::CommonParser::readCoordinate | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

Referenced by libcdr::CDRParser::parseWaldo(), libcdr::CDRParser::readArrw(), libcdr::CDRParser::readArtisticText(), libcdr::CDRParser::readBBox(), libcdr::CMXParser::readBBox(), libcdr::CDRParser::readBitmap(), libcdr::CDRParser::readEllipse(), libcdr::CMXParser::readEllipse(), libcdr::CDRParser::readLineAndCurve(), libcdr::CDRParser::readMcfg(), libcdr::CDRParser::readOutl(), libcdr::CDRParser::readPageSize(), libcdr::CDRParser::readParagraphText(), libcdr::CDRParser::readPath(), libcdr::CMXParser::readPolyCurve(), libcdr::CDRParser::readPolygonCoords(), libcdr::CDRParser::readPolygonTransform(), libcdr::CDRParser::readPpdt(), libcdr::CMXParser::readRectangle(), libcdr::CDRParser::readRectCoord(), libcdr::CMXParser::readRpen(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTrfd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm5(), libcdr::CDRParser::readTxsm6(), libcdr::CDRParser::readWaldoFill(), libcdr::CDRParser::readWaldoOutl(), and libcdr::CDRParser::readWaldoTrfd().

## ◆ readInteger()

int libcdr::CommonParser::readInteger | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

Referenced by libcdr::CDRParser::readFild(), and libcdr::CDRParser::readWaldoFill().

## ◆ readRImage()

void libcdr::CommonParser::readRImage | ( | unsigned & | colorModel,
|  | unsigned & | width,
|  | unsigned & | height,
|  | unsigned & | bpp,
|  | std::vector< unsigned > & | palette,
|  | std::vector< unsigned char > & | bitmap,
|  | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

Referenced by libcdr::CDRParser::readBmp(), and libcdr::CMXParser::readData().

## ◆ readUnsigned()

unsigned libcdr::CommonParser::readUnsigned | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

Referenced by libcdr::CDRParser::readBitmap(), libcdr::CDRParser::readBmp(), libcdr::CDRParser::readEllipse(), libcdr::CDRParser::readFild(), libcdr::CDRParser::readLoda(), libcdr::CDRParser::readSpnd(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTrfd(), libcdr::CDRParser::readVpat(), and libcdr::CDRParser::readWaldoTrfd().

## ◆ readUnsignedShort()

unsigned short libcdr::CommonParser::readUnsignedShort | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

Referenced by libcdr::CDRParser::readStyd().

## Member Data Documentation

## ◆ m_collector

CDRCollector* libcdr::CommonParser::m_collector
| protected

Referenced by outputPath(), libcdr::CDRParser::parseRecord(), libcdr::CMXParser::parseRecord(), libcdr::CDRParser::parseRecords(), libcdr::CMXParser::parseRecords(), libcdr::CDRParser::parseWaldo(), libcdr::CDRParser::parseWaldoStructure(), libcdr::CDRParser::readArtisticText(), libcdr::CDRParser::readBBox(), libcdr::CMXParser::readBeginGroup(), libcdr::CMXParser::readBeginPage(), libcdr::CDRParser::readBitmap(), libcdr::CDRParser::readBmp(), libcdr::CDRParser::readBmpf(), libcdr::CMXParser::readDrawImage(), libcdr::CDRParser::readEllipse(), libcdr::CMXParser::readEllipse(), libcdr::CDRParser::readFild(), libcdr::CMXParser::readFill(), libcdr::CDRParser::readFlags(), libcdr::CDRParser::readFtil(), libcdr::CDRParser::readIccd(), libcdr::CMXParser::readIxef(), libcdr::CMXParser::readIxpc(), libcdr::CMXParser::readIxtl(), libcdr::CMXParser::readLens(), libcdr::CDRParser::readLoda(), libcdr::CDRParser::readMcfg(), libcdr::CDRParser::readOpacity(), libcdr::CDRParser::readOutl(), libcdr::CDRParser::readPageSize(), libcdr::CDRParser::readParagraphText(), libcdr::CMXParser::readPolyCurve(), libcdr::CDRParser::readPolygonCoords(), libcdr::CDRParser::readPolygonTransform(), libcdr::CDRParser::readPpdt(), libcdr::CDRParser::readRectangle(), libcdr::CMXParser::readRectangle(), libcdr::CMXParser::readRenderingAttributes(), libcdr::CDRParser::readSpnd(), libcdr::CDRParser::readStlt(), libcdr::CDRParser::readStyd(), libcdr::CDRParser::readTrfd(), libcdr::CDRParser::readTxsm(), libcdr::CDRParser::readTxsm16(), libcdr::CDRParser::readTxsm5(), libcdr::CDRParser::readTxsm6(), libcdr::CDRParser::readUidr(), libcdr::CDRParser::readVpat(), libcdr::CDRParser::readWaldoBmp(), libcdr::CDRParser::readWaldoBmpf(), libcdr::CDRParser::readWaldoFill(), libcdr::CDRParser::readWaldoOutl(), libcdr::CDRParser::readWaldoTrfd(), and libcdr::CDRParser::~CDRParser().

## ◆ m_precision

CoordinatePrecision libcdr::CommonParser::m_precision
| protected

Referenced by libcdr::CDRParser::parseRecord(), libcdr::CDRParser::parseWaldo(), readAngle(), libcdr::CDRParser::readArrw(), libcdr::CMXParser::readBeginGroup(), libcdr::CMXParser::readBeginPage(), libcdr::CMXParser::readBeginProcedure(), libcdr::CDRParser::readBitmap(), libcdr::CMXParser::readCMXHeader(), readCoordinate(), libcdr::CMXParser::readData(), libcdr::CMXParser::readDrawImage(), libcdr::CMXParser::readEllipse(), libcdr::CMXParser::readFill(), libcdr::CMXParser::readInfo(), readInteger(), libcdr::CMXParser::readIxef(), libcdr::CMXParser::readIxpc(), libcdr::CMXParser::readIxpg(), libcdr::CMXParser::readIxtl(), libcdr::CMXParser::readJumpAbsolute(), libcdr::CMXParser::readLens(), libcdr::CDRParser::readLineAndCurve(), libcdr::CMXParser::readMatrix(), libcdr::CDRParser::readPath(), libcdr::CMXParser::readPolyCurve(), libcdr::CDRParser::readPolygonCoords(), libcdr::CDRParser::readPpdt(), libcdr::CMXParser::readRclr(), libcdr::CMXParser::readRdot(), libcdr::CMXParser::readRectangle(), libcdr::CMXParser::readRenderingAttributes(), libcdr::CMXParser::readRotl(), libcdr::CMXParser::readRott(), libcdr::CMXParser::readRpen(), libcdr::CDRParser::readStlt(), readUnsigned(), readUnsignedShort(), and libcdr::CDRParser::readVersion().

The documentation for this class was generated from the following files:

- CommonParser.h
- CommonParser.cpp